cURL
curl --request POST \
--url https://dev.entropi.app/v1/interviews/updateOne \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interviewID": "<string>",
"productID": "<string>",
"interviewName": "<string>",
"guidelines": "<string>",
"userID": "<string>",
"interviewer": "<string>"
}
'import requests
url = "https://dev.entropi.app/v1/interviews/updateOne"
payload = {
"interviewID": "<string>",
"productID": "<string>",
"interviewName": "<string>",
"guidelines": "<string>",
"userID": "<string>",
"interviewer": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interviewID: '<string>',
productID: '<string>',
interviewName: '<string>',
guidelines: '<string>',
userID: '<string>',
interviewer: '<string>'
})
};
fetch('https://dev.entropi.app/v1/interviews/updateOne', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"interviewID": "<string>",
"status": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Interviews
Update Interview
Updates an Interview by interviewID
POST
/
v1
/
interviews
/
updateOne
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
JSON representation of the Interview with updated fields
Interview ID
ID of the Product the interview is about
A name for the interview
Interview guidelines, including any insights you hope to extract, specific questiosn you'd like to ask, etc.
userID associated with this interview
ID associated with the Interviewer Agent assigned to this interview. Defaults to Eve from Entropi
Response
API Response
Show child attributes
Show child attributes
⌘I